Package wx :: Package lib :: Package agw :: Module thumbnailctrl :: Class Thumb

[frames | no frames]

## Type Thumb

    object --+
             |
            Thumb

Method Summary
| ``__init__`(self, parent, dir, filename, caption, size, lastmod)` Default class constructor.
| ``BreakCaption`(self, width)` Breaks the caption in several lines of text (if needed).
| ``GetBitmap`(self, width, height)` Returns the associated bitmap.
| ``GetCaption`(self, line)` Gets the caption associated to a thumb.
| ``GetCaptionLinesCount`(self, width)` Returns the number of lines for the caption.
| ``GetCreationDate`(self)` Returns the file last modification date associated to a thumb.
| ``GetFileName`(self)` Gets thumb file name.
| ``GetFileSize`(self)` Returns the file size associated to a thumb.
| ``GetId`(self)` Returns thumb id.
| ``GetImage`(self)` Gets thumb image.
| ``GetOriginalImage`(self)` Returns the bitmap associated to a thumb.
| ``GetRotatedImage`(self)` Gets a rotated image.
| ``GetRotation`(self)` Gets thumb rotation.
| ``SetBitmap`(self, bmp)` Sets thumb bitmap.
| ``SetCaption`(self, caption)` Sets thumb caption.
| ``SetFileName`(self, filename)` Sets thumb file name.
| ``SetId`(self, id)` Sets thumb id.
| ``SetImage`(self, image)` Sets thumb image.
| ``SetRotatedImage`(self, image)` Sets the image as rotated (fast).
| ``SetRotation`(self, angle)` Sets thumb rotation.

Method Details

### __init__(self, parent, dir, filename, caption='', size=0, lastmod=0)
(Constructor)

Default class constructor.

  Overrides:
    `__builtin__.object.__init__`

### BreakCaption(self, width)

Breaks the caption in several lines of text (if needed).

### GetBitmap(self, width, height)

Returns the associated bitmap.

### GetCaption(self, line)

Gets the caption associated to a thumb.

### GetCaptionLinesCount(self, width)

Returns the number of lines for the caption.

### GetCreationDate(self)

Returns the file last modification date associated to a thumb.

### GetFileName(self)

Gets thumb file name.

### GetFileSize(self)

Returns the file size associated to a thumb.

### GetId(self)

Returns thumb id.

### GetImage(self)

Gets thumb image.

### GetOriginalImage(self)

Returns the bitmap associated to a thumb.

### GetRotatedImage(self)

Gets a rotated image.

### GetRotation(self)

Gets thumb rotation.

### SetBitmap(self, bmp)

Sets thumb bitmap.

### SetCaption(self, caption='')

Sets thumb caption.

### SetFileName(self, filename)

Sets thumb file name.

### SetId(self, id=-1)

Sets thumb id.

### SetImage(self, image)

Sets thumb image.

### SetRotatedImage(self, image)

Sets the image as rotated (fast).

### SetRotation(self, angle=0)

Sets thumb rotation.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:55:39 2009 | http://epydoc.sf.net